commit:     c4b64cf171924b4dc9f75a592657e4593920eb8e
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  5 20:16:50 2025 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Fri Sep  5 20:16:50 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4b64cf1

virtual/openssh: Revbump, add pkixssh as openssh provider

Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 virtual/openssh/openssh-0-r1.ebuild | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/virtual/openssh/openssh-0-r1.ebuild 
b/virtual/openssh/openssh-0-r1.ebuild
new file mode 100644
index 000000000000..a4c6991584d6
--- /dev/null
+++ b/virtual/openssh/openssh-0-r1.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Virtual for net-misc/openssh and variants"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="ssl"
+
+RDEPEND="
+       || (
+               >=net-misc/openssh-9.3_p1-r1[ssl?]
+               >=net-misc/openssh-contrib-9.3_p1[ssl?]
+               >=net-misc/pkixssh-14.1.1
+       )"

Reply via email to